ASP源码.NET源码PHP源码JSP源码JAVA源码DELPHI源码PB源码VC源码VB源码Android源码
当前位置:首页 >> 网络编程 >> Java教程 >> eclipse 提示错误The method xxx of type must override a superclass method解决方式

eclipse 提示错误The method xxx of type must override a superclass method解决方式

来源:网络整理     时间:2018-09-24     关键词:

本篇文章主要介绍了" eclipse 提示错误The method xxx of type must override a superclass method解决方式",主要涉及到方面的内容,对于Java教程感兴趣的同学可以参考一下: java1.5中继承接口是不需要@Override的,而在1.6中是需要添加@Override注解的,如果项目的编译器是1.5版本的就可能报错The metho...

java1.5中继承接口是不需要@Override的,而在1.6中是需要添加@Override注解的,如果项目的编译器是1.5版本的就可能报错The method xxx of type must override a superclass method.
解决此问题的办法是修改java编译器的版本,方法是:elicpse的Project菜单 --> Properties --> 找到Java Compiler将Compiler Compliance level修改为1.6即可。
如下图所示:

以上就介绍了 eclipse 提示错误The method xxx of type must override a superclass method解决方式,包括了方面的内容,希望对Java教程有兴趣的朋友有所帮助。

本文网址链接:http://www.codes51.com/article/detail_4589958.html

相关图片

相关文章